Bug 970275 - Fix TLS initialization when library has dependencies.
Summary: Fix TLS initialization when library has dependencies.
Status: CLOSED DUPLICATE of bug 995972
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 6.4
Hardware: x86_64 Linux
unspecified
urgent
Target Milestone: rc
: ---
Assignee: Carlos O'Donell
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-03 21:01 UTC by Cantab Capital
Modified: 2016-08-09 19:18 UTC (History)
4 users (show)

Fixed In Version: glibc-2.12-1.134
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-09 19:18:36 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The script to demonstrate the bug. From the glibc bug #12453 report (1.90 KB, text/plain)
2013-06-03 21:01 UTC, Cantab Capital
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 12453 None None None Never

Description Cantab Capital 2013-06-03 21:01:58 UTC
Created attachment 756515 [details]
The script to demonstrate the bug. From the glibc bug #12453 report

Description of problem:

This is a known bug and the upstream has already got it fixed. But as RHEL v6 is using an older version of glibc and the upstream fix has not yet been back-ported onto RHEL 6, so customers are still affected.  

Version-Release number of selected component (if applicable):
glibc v2.12 on RHEL v6, including all patched version along the RHEL v6 line, from 6.0 to 6.4 and post-6.4 patches to date, and for all editions, workstation, server, etc.

The bug number recorded upstream is #12453 (or the duplicated #11952). See the relevant bug reports for glibc here:
http://www.sourceware.org/bugzilla/show_bug.cgi?id=12453
http://www.sourceware.org/bugzilla/show_bug.cgi?id=11952


How reproducible: Always.
From the bug reports on http://www.sourceware.org/, there is a script to exploit this bug, i.e.,
http://www.sourceware.org/bugzilla/attachment.cgi?id=5218
For your convenience, I've also attached the script in this report.

Steps to Reproduce:
1. Download the above script, http://www.sourceware.org/bugzilla/attachment.cgi?id=5218
2. run the script, it will actually create a couple c source codes and compile then, then run the produced binary
3. then on RHEL v6, it will segfault

Actual results:
Segfault

Expected results:
Should run fine and produce correct results, not segfault.

Additional info:
On upstream release glibc v2.14, this bug has already been fixed. See here:
http://sourceware.org/git/?p=glibc.git;a=commit;h=d26dfc60edc8c6dd160eefff16a734152a835ca0
http://sourceware.org/git/?p=glibc.git;a=commit;h=fc317541ab359b33ed7bf402ead84ba6f112604c

So, it is just up to RedHat to backport the fix, and produce the compatible rpm for RHEL v6 platform.

Comment 2 Cantab Capital 2013-06-11 09:00:12 UTC
Hi, I just edit the title for this bug. Otherwise the bugzilla system will parse the string "bug #xxx" and create a hyperlink to the bug within this bug database, which in this case is not its true meaning.

Comment 8 Carlos O'Donell 2016-08-09 19:18:36 UTC
Already fixed in RHEL 6.6.

*** This bug has been marked as a duplicate of bug 995972 ***


Note You need to log in before you can comment on or make changes to this bug.